package za.co.eskom.nrs.xmlvend.client;

import za.co.solms.framework.ooxml.soap.SOAPMessage;

/** Indicates a SOAP fault (which is contained internally) so that it can be inspected
 * later.
 * 
 * TODO Add fault message, actor, etc
 * 
 * @author dawidl
 * @version 0.1 (Dec 20, 2005)
 */
public class SOAPFault extends Exception
{
	public SOAPFault( SOAPMessage fault )
	{
		this.fault = fault;
	}
	
	public SOAPMessage getFault()
	{
		return fault;
	}
	
	/** Returns the full XML of the fault body */
	public String getFaultAsString()
	{
		return fault.getMessage().toXML();
	}
	
	private SOAPMessage fault;
}
