package za.co.eskom.nrs.xmlvend.client.comms;

import java.io.IOException;

import za.co.solms.framework.ooxml.XMLMessage;
import za.co.solms.framework.ooxml.soap.SOAPMessage;

import nu.xom.Document;
import nu.xom.XMLException;

/** Responsible for communicating with the SOAP server in a synchronous way, taking
 * care of all SOAP and networking details.
 * 
 * @author dawidl
 * @version 0.1 (Dec 20, 2005)
 */
public interface TransportLayer
{
	/** Send the given message (which is not wrapped in SOAP) to the server (configuration
	 * of which should be handled by some other mechanism, such as STCD Configuration
	 * framework). Returned is a SOAP message.
	 * 
	 * @param request An XML document, not wrapped in SOAP.
	 * @return A SOAP message as returned by the server (might contain a fault).
	 */
	public SOAPMessage invokeService( XMLMessage request ) throws Exception;
}
