package za.co.eskom.nrs.xmlvend.client.ui;

import java.io.IOException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.el.ELException;
import javax.servlet.jsp.tagext.SimpleTagSupport;
import org.apache.log4j.Logger;
import za.co.eskom.nrs.xmlvend.client.setup.ClientSetupListener;
import za.co.eskom.nrs.xmlvend.client.wsdl.UseCaseMap;
import za.co.eskom.nrs.xmlvend.client.wsdl.UseCaseMap.UseCase;

/** Simple tag to produce an XHTML unordered list of admin links */
public class AdminMenuTag extends SimpleTagSupport
{
	@Override
	public void doTag() throws JspException, IOException
	{
		// Get a handle to the HTTP request
		HttpServletRequest request = null;
		PageContext pageContext = null;
		try
		{
			pageContext = (PageContext)getJspContext().getVariableResolver().resolveVariable("pageContext");
			request = (HttpServletRequest)pageContext.getRequest();
		} catch (ELException e)
		{
			throw new JspException(e);
		}
		String cpath = request.getContextPath();
		
		// Cycle over use cases and output content
		JspWriter out = getJspContext().getOut();
		// TODO Replace this with a JSPX Tag File (this is nasty)
		out.write("<ul class='adminMenu'>");
		out.write("  <li><a href='"+ cpath +"'>Default View</a></li>");
		out.write("  <li><a href='"+ cpath + "/admin/configuration?edit'>Configuration</a></li>");
		out.write("</ul>");
	}
	
	private static Logger logger = Logger.getLogger(AdminMenuTag.class);
}
